%define upstream_name Image_Barcode
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.3
Release:     	%mkrel 2
Summary:    	Barcode generation
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Image_Barcode-%{version}.tgz
URL: 		http://pear.php.net/package/Image_Barcode
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch

%description
With Image_Barcode class you can create a barcode
  representation of a given string.

  This class uses GD function because of this the generated graphic can be
any of
  GD supported supported image types.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Image_Barcode.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Image_Barcode.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_Barcode
fi

%files
%doc docs/Image_Barcode/*
%{peardir}/*
%{xmldir}/Image_Barcode.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.3-2.mga4
+ Revision: 528039
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 1.1.3-1.mga4
+ Revision: 443246
- upgrade to version 1.1.3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 376734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 200033
- upgrade to 1.1.2
  pearized spec file

* Fri Jan 28 2011 spuhler <spuhler> 1.1.1-1.mga1
+ Revision: 42699
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Barcode


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 594491
- update to new version 1.1.1

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-5mdv2010.1
+ Revision: 473540
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-4mdv2010.0
+ Revision: 441194
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2009.1
+ Revision: 322135
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2009.0
+ Revision: 236894
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.0-1mdv2008.1
+ Revision: 136407
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2008.0
+ Revision: 15679
- 1.1.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-5mdv2007.0
+ Revision: 81898
- Import php-pear-Image_Barcode

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-5mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdk
- 1.0.4

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdk
- initial Mandriva package (PLD import)

